Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get system managed policy list

Prev Next

Available in Classic and VPC

Get the list of System Managed policies that can be added to a permission set.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/permission-sets/policies

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
searchWord String Optional Search keyword
  • If you enter a value that does not match in whole or in part with policyName, items is displayed as an empty value [] in the response
searchColumn String Conditional Search column
  • policyName: assignment name (valid value)
    • <e.g.,> searchColumn=policyName
  • When an invalid value is entered, the entire list is displayed
page Integer Optional Page number
  • 0-N (default: 0)
size Integer Optional Page output count
  • 1-N (default: 20)

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/permission-sets/policies?searchColumn=policyName&searchWord=NCLOUD_SINGLE_SIGN_ON&page=0&size=20' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
page Number - Page number
totalPages Number - Total number of pages
totalItems Number - Number of response results
isFirst Boolean - Whether it is the first page
  • true | false
    • true: first page
    • false: not a first page
isLast Boolean - Whether it is the last page
  • true | false
    • true: last page
    • false: not a last page
hasPrevious Boolean - Whether previous page exists
  • true | false
    • true: It exists
    • false: It doesn't exist
hasNext Boolean - Whether next page exists
  • true | false
    • true: It exists
    • false: It doesn't exist
items Array - Policy list: items

items

The following describes items.

Field Type Required Description
policyId String - Policy ID
policyName String - Policy Name
policyDescription String - Policy Description
policyCreatedAt String - System Managed policy creation date and time
  • ISO 8601 format

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "page": 0,
    "totalPages": 14,
    "totalItems": 262,
    "isFirst": true,
    "isLast": false,
    "hasPrevious": false,
    "hasNext": true,
    "items": [
        {
            "policyId": "08705730-****-****-****-246e96591a38",
            "policyName": "NCP_NCLOUD_SINGLE_SIGN_ON_VIEWER",
            "policyDescription": "Permission to only view items and their details in Ncloud Single Sign-On",
            "policyCreatedAt": "2022-07-21T10:29:42Z"
        },
        {
            "policyId": "0861ff50-****-****-****-246e96591a38",
            "policyName": "NCP_NCLOUD_SINGLE_SIGN_ON_MANAGER",
            "policyDescription": "Permission to use all the features in Ncloud Single Sign-On",
            "policyCreatedAt": "2022-07-21T10:29:42Z"
        }
    ]
}